DSAPrivateKeySpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class DSAPrivateKeySpec

    java.lang.Object
      java.security.spec.DSAPrivateKeySpec

All Implemented Interfaces:
  KeySpec

    public class DSAPrivateKeySpec

extends Object
implements KeySpec

This class specifies a DSA private key with its associated parameters.

Since:
  1.2
Version:
  1.15, 02/02/00
Author:
  Jan Luehe
See Also:
  `Key`, `KeyFactory`, `KeySpec`, `DSAPublicKeySpec`, `PKCS8EncodedKeySpec`

Constructor Summary
`DSAPrivateKeySpec(BigInteger x, BigInteger p, BigInteger q, BigInteger g)` Creates a new DSAPrivateKeySpec with the specified parameter values.

Method Summary
`BigInteger` | `getG()` Returns the base `g`.
`BigInteger` | `getP()` Returns the prime `p`.
`BigInteger` | `getQ()` Returns the sub-prime `q`.
`BigInteger` | `getX()` Returns the private key `x`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAPrivateKeySpec

    public DSAPrivateKeySpec(BigInteger x,
                             BigInteger p,
                             BigInteger q,
                             BigInteger g)

  Creates a new DSAPrivateKeySpec with the specified parameter values.

  Parameters:
    `x` - the private key.
    `p` - the prime.
    `q` - the sub-prime.
    `g` - the base.

Method Detail

### getX

    public BigInteger getX()

  Returns the private key `x`.

  Returns:
    the private key `x`.

### getP

    public BigInteger getP()

  Returns the prime `p`.

  Returns:
    the prime `p`.

### getQ

    public BigInteger getQ()

  Returns the sub-prime `q`.

  Returns:
    the sub-prime `q`.

### getG

    public BigInteger getG()

  Returns the base `g`.

  Returns:
    the base `g`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD